# Uses of Class
org.apache.lucene.geo.Rectangle

Packages that use Rectangle
Package
Description
org.apache.lucene.document
The logical representation of a `Document` for indexing and searching.
org.apache.lucene.geo
Geospatial Utility Implementations for Lucene Core

## Uses of Rectangle in org.apache.lucene.document

Methods in org.apache.lucene.document that return Rectangle
Modifier and Type
Method
Description
`protected Rectangle`
LatLonShapeDocValues.`computeBoundingBox()`
`Rectangle`
LatLonShapeDocValues.`getBoundingBox()`
`Rectangle`
LatLonShapeDocValuesField.`getBoundingBox()`
retrieves the bounding box for the geometry

## Uses of Rectangle in org.apache.lucene.geo

Methods in org.apache.lucene.geo that return Rectangle
Modifier and Type
Method
Description
`static Rectangle`
Rectangle.`fromPointDistance(double centerLat, double centerLon, double radiusMeters)`
Compute Bounding Box for a circle using WGS-84 parameters
`static Rectangle`
Rectangle.`fromPolygon(Polygon[] polygons)`
Returns the bounding box over an array of polygons